Package org.firebirdsql.jdbc

## Class InternalTransactionCoordinator

- java.lang.Object
- - org.firebirdsql.jdbc.InternalTransactionCoordinator

All Implemented Interfaces:
  `FBObjectListener.BlobListener`, `FBObjectListener.StatementListener`

    public final class InternalTransactionCoordinator
    extends java.lang.Object
    implements FBObjectListener.StatementListener, FBObjectListener.BlobListener

Transaction coordinator for the `FBConnection` class.

### Nested Class Summary

Nested Classes
`static class` `InternalTransactionCoordinator.AbstractTransactionCoordinator`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `commit()`
`void` `ensureTransaction()`
`void` `executionCompleted​(FirebirdBlob blob)` Notify listener that execution of some BLOB operation had been completed.
`void` `executionStarted​(FBStatement stmt)` Notify listener that statement execution is being started.
`void` `executionStarted​(FirebirdBlob blob)` Notify listener that execution of some BLOB operation had been started.
`boolean` `getAutoCommit()`
`FBConnection` `getConnection()` Get the connection object to which this listener belongs to.
`void` `rollback()`
`void` `statementClosed​(FBStatement stmt)` Notify the listener that statement was closed.
`void` `statementCompleted​(FBStatement stmt)` Notify the listener that statement is completed.
`void` `statementCompleted​(FBStatement stmt, boolean success)` Notify the listener that statement is completed and tell whether execution was successful or not.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getAutoCommit

    public boolean getAutoCommit()
                          throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### executionStarted

    public void executionStarted​(FBStatement stmt)
                          throws java.sql.SQLException

Description copied from interface: `FBObjectListener.StatementListener`
Notify listener that statement execution is being started.

Specified by:
  `executionStarted` in interface `FBObjectListener.StatementListener`
Parameters:
  `stmt` - statement that is being executed.
Throws:
  `java.sql.SQLException` - if something went wrong.

#### getConnection

    public FBConnection getConnection()
                               throws java.sql.SQLException

Description copied from interface: `FBObjectListener.StatementListener`
Get the connection object to which this listener belongs to.

Specified by:
  `getConnection` in interface `FBObjectListener.StatementListener`
Returns:
  instance of `FBConnection`
Throws:
  `java.sql.SQLException` - if something went wrong.

#### statementClosed

    public void statementClosed​(FBStatement stmt)
                         throws java.sql.SQLException

Description copied from interface: `FBObjectListener.StatementListener`
Notify the listener that statement was closed.

Specified by:
  `statementClosed` in interface `FBObjectListener.StatementListener`
Parameters:
  `stmt` - statement that was closed.
Throws:
  `java.sql.SQLException`

#### statementCompleted

    public void statementCompleted​(FBStatement stmt)
                            throws java.sql.SQLException

Description copied from interface: `FBObjectListener.StatementListener`
Notify the listener that statement is completed. This is shortcut method for `statementCompleted(AbstractStatement, true)`.

Specified by:
  `statementCompleted` in interface `FBObjectListener.StatementListener`
Parameters:
  `stmt` - statement that was completed.
Throws:
  `java.sql.SQLException`

#### statementCompleted

    public void statementCompleted​(FBStatement stmt,
                                   boolean success)
                            throws java.sql.SQLException

Description copied from interface: `FBObjectListener.StatementListener`
Notify the listener that statement is completed and tell whether execution was successful or not.

Specified by:
  `statementCompleted` in interface `FBObjectListener.StatementListener`
Parameters:
  `stmt` - statement that was completed.
  `success` - `true` if completion was successful.
Throws:
  `java.sql.SQLException` - if an error occurred.

#### executionCompleted

    public void executionCompleted​(FirebirdBlob blob)
                            throws java.sql.SQLException

Description copied from interface: `FBObjectListener.BlobListener`
Notify listener that execution of some BLOB operation had been completed.

Specified by:
  `executionCompleted` in interface `FBObjectListener.BlobListener`
Parameters:
  `blob` - instance of `FirebirdBlob` that caused this event.
Throws:
  `java.sql.SQLException` - if something went wrong.

#### executionStarted

    public void executionStarted​(FirebirdBlob blob)
                          throws java.sql.SQLException

Description copied from interface: `FBObjectListener.BlobListener`
Notify listener that execution of some BLOB operation had been started.

Specified by:
  `executionStarted` in interface `FBObjectListener.BlobListener`
Parameters:
  `blob` - instance of `FirebirdBlob` that caused this event.
Throws:
  `java.sql.SQLException` - if something went wrong.

#### ensureTransaction

    public void ensureTransaction()
                           throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### commit

    public void commit()
                throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### rollback

    public void rollback()
                  throws java.sql.SQLException

Throws:
  `java.sql.SQLException`